Subject: Re: next-20090310: ext4 hangs

From: Alexander Beregalov <[email-masked]>
Date: Wed, 25 Mar 2009 18:18:43 +0300

2009/3/25 Jan Kara <[email-masked]>:
>> > So, I think I need to try it on 2.6.29-rc7 again.
>>   I've looked into this. Obviously, what's happenning is that we delete
>> an inode and jbd2_journal_release_jbd_inode() finds inode is just under
>> writeout in transaction commit and thus it waits. But it gets never woken
>> up and because it has a handle from the transaction, every one eventually
>> blocks on waiting for a transaction to finish.
>>   But I don't really see how that can happen. The code is really
>> straightforward and everything happens under j_list_lock... Strange.
>  BTW: Is the system SMP?
No, it is UP system.

The bug exists even in 2.6.29, I posted it with a new topic.
--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html